package com.fs.fastGpt.service;

import com.fs.common.core.domain.R;
import com.fs.im.vo.OpenImMsgCallBackVO;
import com.fs.qwHookApi.vo.QwHookVO;
import com.fs.wxwork.dto.WxWorkResponseDTO;

public interface AiHookService {
    /** 发送ai提醒 **/
    R AiRemind();

    /** ai回复**/
    R qwHookNotifyAiReply(Long qwUserID, Long sender,String count,String uid,Integer type);

    /** 转人工 **/
    void artificial(QwHookVO vo);

    /** ai自动回复 **/
    R AiReply(OpenImMsgCallBackVO openImMsgDTO, Long companyId);

    R qwHookNotifyAddMsg(Long qwUserID, Long sender,String count,String uid);

    R qwHookNotifyAddMsgNew(Long qwUserID, Long sender,String count,String uid,Integer type);

    void expireAiMsg();

    WxWorkResponseDTO<String> getFileUrl(String uuid, String fileId, String aesKey, String authKey, String fileName, Integer fileSize, Long serverId);
}
